%define	distversion	%(. /etc/os-release 2>/dev/null ; echo $VERSION)

Summary:	PLD Linux prelogin message and identification file with logo
Summary(de.UTF-8):	PLD Linux Systemidentifikationsdatei mit logo
Summary(pl.UTF-8):	Plik z logiem identyfikujący system PLD Linux, wyświetlany przed zalogowaniem
Name:		issue-logo
Version:	3.0
Release:	26
License:	GPL
Group:		Base
BuildRequires:	pld-release >= 3.0
%requires_eq	pld-release
Provides:	issue = %{version}-%{release}
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux prelogin message and identification file with logo.

%description -l de.UTF-8
PLD Linux Systemidentifikationsdatei mit logo.

%description -l pl.UTF-8
Plik z logiem identyfikujący system PLD Linux,
wyświetlany przed zalogowaniem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
  _
 / )     PLD Linux %{distversion} \m, \r
/ /       Welcome to \n
 ( -.      \u user(s)
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
  _
 / )     PLD Linux %{distversion} %m, %r
/ /       Welcome to %h
 ( -.
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Fri Jan 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-logo.git;a=log;h=master

* Fri Jan 03 2025 Jan Rękorajski <baggins@pld-linux.org> 27b6fb2
- Release 26 (by relup.sh)

* Fri Jan 03 2025 Jan Rękorajski <baggins@pld-linux.org> a58a748
- Release 25 (by relup.sh)

* Mon Jan 01 2024 Jan Rękorajski <baggins@pld-linux.org> dabe67e
- Release 24 (by relup.sh)

* Mon Jan 01 2024 Jan Rękorajski <baggins@pld-linux.org> 2bb72f5
- Release 23 (by relup.sh)

* Tue Jan 03 2023 Jan Rękorajski <baggins@pld-linux.org> ae1fa4a
- Release 22 (by relup.sh)

* Tue Jan 03 2023 Jan Rękorajski <baggins@pld-linux.org> c9ea4fa
- Release 21 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 0113040
- Release 20 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 1f792fc
- Release 19 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 765b25d
- Release 18 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 2724fa4
- release 17 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 5a5379c
- rebuild for 2020 snapshot
- release 16 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> 87e408e
- release 15 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> 8eb75a2
- release 14 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> 63b4362
- release 13 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> 00ea726
- release 12 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> 2034cae
- release 11 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> d21903d
- release 10 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 9cf7f91
- release 9 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 7f0019a
- release 8 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 3962edd
- release 7 (by relup.sh)

